"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AmpEvidence(ProtocolElement):
    """
    Evidences as defined in AMP guidelines, they are composed by a
    evidence type (first column in the evidence table of     the
    guidlines) and a assessment of the evicence, this last one will
    define the streght of the evidence, supporting     the variant to
    be classified as TierI-IV
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "evidenceAssessment",
        "type",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_8 import reports as reports_6_2_0

        return {
            "type": reports_6_2_0.AmpEvidenceType,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_8 import reports as reports_6_2_0

        return {
            "org.gel.models.report.avro.AmpEvidenceType": reports_6_2_0.AmpEvidenceType,
            "org.gel.models.report.avro.AmpEvidence": reports_6_2_0.AmpEvidence,
        }

    __slots__ = [
        "evidenceAssessment",
        "type",
    ]

    def __init__(
        self,
        evidenceAssessment,
        type,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_2_0.AmpEvidence model.

        :param evidenceAssessment:
            Assessment for AMP evidence, i.e Present in ClinVar
        :type evidenceAssessment: str
        :param type:
            AMP evidence type according to Guidlines, i.e
            germline_database_presence
        :type type: AmpEvidenceType
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.2.0"
